<?php

function portfolio_register() 
	{  
    	$args = array(  
        	'label' => 'Portfolio',  
        	'singular_label' => 'Project',  
        	'public' => true,  
        	'show_ui' => true,  
        	'capability_type' => 'post',  
        	'hierarchical' => true,  
        	'rewrite' => true,  
        	'supports' => array('title', 'editor', 'thumbnail','custom-fields','post-types') ,
		'show_in_menu' => true  ,
		 'menu_position' => null,
       	);  
    	register_post_type( 'portfolio' , $args );  
	}  
	add_action('init', 'portfolio_register');  


register_taxonomy("project-type", array("portfolio"), array("hierarchical" => true, "label" => "Project Types", "singular_label" => "Project Type", "rewrite" => true));


add_action("admin_init", "portfolio_meta_box"); 





function portfolio_meta_box()
	{  
	add_meta_box("projInfo-meta", "Project Options", "portfolio_meta_options", "portfolio", "side", "low");  
	}   
function portfolio_meta_options()
	{  
	        global $post;  
	        if ( defined('DOING_AUTOSAVE') && DOING_AUTOSAVE ) return $post_id;
	        $custom = get_post_custom($post->ID);  
		if(isset($custom["projLink"][0]))
			{
		        	$link = $custom["projLink"][0]; 	
			}
		if(isset($custom["client"][0]))
			{
		        	$client = $custom["client"][0];   	
			}
	?>  
	<label>Link:</label><input name="projLink" value="<?php if(isset($link)) { echo $link; } ?>" /><br />
	<label>Client:</label><input name="client" value="<?php if(isset($client)) { echo $client; } ?>" />  
	<?php  
	}  
	add_action('save_post', 'save_project_link');  
function save_project_link()
	{  
	    global $post;  
	    if ( defined('DOING_AUTOSAVE') && DOING_AUTOSAVE )
		{ 
		return $post_id;
		}	
		else
			{
			if(isset($_POST["projLink"]))
				{
			    	update_post_meta($post->ID, "projLink", $_POST["projLink"]); 
				}
			if(isset($_POST["client"]))
				{
			    	update_post_meta($post->ID, "client", $_POST["client"]); 
				}
			} 
		}  






/*
** SHORTCODES
*/




///////////////////////
/////////// PORTFOLIO ITEMS
//////////////////////

function portfolio_items($atts="", $content = null)
	{
	$secondary_button=load_option("secondary_button");
	$primary_button=load_option("primary_button");
	$showfilter="";
	$term_list_gen="";
	$cols="";
	$clear="";
	$echo="";
	$post_per_page="";
	$showheadline="";
	$content=""; // LENGTH OF CONTENT
	$showreadmore="";
	extract(shortcode_atts(array(
		'cols'=>'3', 
		'post_per_page'=>'9',
		'showfilter'=>false,
		'showheadline'=>true,
		'showreadmore'=>true,
		'content'=>'200'
	    ), $atts));


	$terms = get_terms('project-type' );
	$count = count($terms); $i=0; 
	$term_list_gen.="<ul id='term_list' class='template_ul'>";
	$term_list_gen.="<li><a href='#' class='".$primary_button." small   portfolio-filter' data-pfilter='portfolio-lists-item'>All</a></li>";
	if ($count > 0) 
		{
	    	foreach ($terms as $term) 
			{
        			$i++;
    			$term_list_gen.="<li>";	 
			$term_list_gen.="<a href='#' class='portfolio-filter small   ".$secondary_button."' data-pfilter='portfolio-".$term->name."'>".$term->name."</a>";
			$term_list_gen.="</li>";
 			}    
		} 	
	$term_list_gen.="</ul>";
	if($showfilter==true)
		{
		$echo.= $term_list_gen;
		}
	$col="2";
	switch ($cols)
		{
		case 1: $col="one_";
			break;
		case 2: $col="one_half";
			break;
		case 3: $col="one_third";
			break;
		case 4: $col="one_fourth";
			break;
		} 
	$echo.='<div class="group">
		<div class="portfolio-itemlist-col2">';
		$ix=1; 
		query_posts(array( 'post_type' => 'portfolio', 'paged' => get_query_var('paged'), 'posts_per_page'=>$post_per_page) ); 
		if (have_posts()) : while (have_posts()) : the_post(); 
			$ix++;
			if($ix>$cols)
				{
				$column=$col."_last";
				$clear="<div class='clear'></div>";
				$ix=1;
				}
				else
					{
					$column=$col;	
					$clear="";
					}
			$title= str_ireplace('"', '', trim(get_the_title()));
			$desc= str_ireplace('"', '', trim(get_the_content()));
			$terms = wp_get_object_terms(get_the_id(), 'project-type');
			$term_list="";
			$count = count($terms); $i=0;
			if ($count > 0) 
				{
				foreach ($terms as $term) 
					{
        					$i++;
    					$term_list .= "portfolio-$term->name ";    	 
					}    
				} 

			$echo.='<div class="'.$column.' portfolio-lists-item '.$term_list.'">
				<div>
					<div class="portfolio-img">
						<a class="prettyPhoto prettyPhoto[works-'.$ix.']" href="'.  img_full_url(get_the_id()) .'">
							<img src="'. img_default_url(get_the_id()) .'" alt="" />
						</a>';
			 if($showheadline=="true") 
				{
				$echo.='<a href="'. get_permalink() .'"><h4>'. $title .'</h4></a>';
				}
			$echo.='</div></div>';
 			$pcontent=get_the_content();
			if($content>"0")
				{
				if(strlen("$pcontent")>$content)
					{
					$pcontent=(substr( $pcontent, 0, strpos( $pcontent, " ", $content )+1 ) );
					}
				$pcontent=strip_tags($pcontent);
				$echo.= "<p>$pcontent</p>";
				}
			 if($showreadmore=="true") 
				{
				$echo.='<a class="button" href="'.get_permalink().'"> Read more </a>';
				}
			$echo.='</div>'.$clear; 
		endwhile; 
		endif; 
			$echo.='</div><!-- portfolio-itemlist-col2 -->
			<div class="clear"></div>
	</div><!-- group-->';
	wp_reset_query();
	return $echo;
	}
	add_shortcode('portfolio_items', 'portfolio_items');



///////////////////////
/////////// PORTFOLIO SORTABLE
//////////////////////


function portfolio_jquery($atts="", $content = null)
	{
	extract(shortcode_atts(array(
		'name'=>'',
		'items'=>'10',
		'headline'=>'',
		'archive_link'=>false,
		'show_nav'=>'true',
	    ), $atts));
	$echo="";
	if(isset($headline))
		{
		if($headline!="")
			{
			$echo.="<h3>".$headline."</h3>";
			}
		}
	if((isset($show_nav)) AND ($show_nav!="false"))
		{
		$echo.='	<nav id="filter">';
		if($archive_link!="")
			{
			$echo.='<a class="  small " href="'.$archive_link.'">'._e('All','sevenleague').'</a>';
			}
		$echo.='</nav>';	
		}
	$echo.='	<ul id="portfolio" class="image-grid template_ul">';
		$ix=0; $iw=0; 
		$paged = (get_query_var('paged')) ? get_query_var('paged') : 1;
		query_posts(array( 'post_type' => 'portfolio', 'paged' => $paged, 'posts_per_page'=>$items) ); 
		if (have_posts()) : while (have_posts()) : the_post(); 
			$ix++; $iw++; 	
			$title= str_ireplace('"', '', trim(get_the_title()));
			$desc= str_ireplace('"', '', trim(get_the_content()));	 
			$terms = wp_get_object_terms(get_the_id(), 'project-type');
			$term_list="";
			$tags="";
			$i=0;
			$count = count($terms); $i=0;
			if ($count > 0) 
				{
    				foreach ($terms as $term) 
					{	
				    	$term_list .= "$term->name ";
					$tags.="$term->name, ";    	 
					}
   					}    
	$echo.='<li data-type="'.$term_list.'" data-tags="'.$tags.'" data-id="'.get_the_id().'" class="portfolio-grid '.$term_list.'">
				<div class="portfolio-img">
					<a class="prettyPhoto prettyPhoto[works-'.$ix.']" href="'.img_full_url(get_the_id()).'">
						<img src="'.img_default_url(get_the_id()).'" alt="" />
					</a>
				</div>				
			</li>';
		endwhile; 
		endif; 
	$echo.='</ul>';	
	$echo.='<div class="clear"></div>';
	wp_reset_query();
	return $echo;
	wp_reset_query();	
	}
	add_shortcode('portfolio_jquery', 'portfolio_jquery');




///////////////////////
/////////// PORTFOLIO SLIDER
//////////////////////

function portfolioslider($atts, $content=null)
	{
	$type="";
	$showreadmore=""; 
	extract(shortcode_atts(array(
	'buttons'=>true,
	'speed'=>'1000',
	'width'=>'',
	'height'=>'',
	'easing'=>'',
	'items'=>'10',
	'itemsforward'=>'4',
	'pauseonhover'=>'true', 
	'direction'=>'left',
	'columns'=>'3',
	'title'=>'',
	'showtext'=>'true',
	'headline'=>'true',
	'right'=>'20',
	'number'=>'10',
	'direction'=>'left',
	'auto'=>'false'
	    ), $atts));
	$return="";

	if($speed=="")	
		{
		$speed="1000";
		}

	$rand=substr(str_shuffle(str_repeat('ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz',5)),0,5);
	$half_height=$height/2;	
	$return.="<div class='portfolio-carousel'>";
	$return.="<style type='text/css' scoped><!--#".$rand." .pfs-lists-item-shortcode {display:inline; float:left; width:".$width."px; margin-right:".$right."px;}";
 	if($width!="")
		{
		$return.=" #".$rand." ul li, #".$rand." > div {width:".$width."px; }";
		}
	$return.="--></style>";
	$return.="<div id='carousel-".$rand."' class='carousel-container'>";
	if(isset($title))
		{
		$return.= "<h2>".$title."</h2>";
		}
	if($buttons=="true")
		{	
		$return.="<a id='".$rand."-prev' class='carousel-nav carousel-nav-prev ".load_option('primary_button')."' onclick='return false' href='#'>&lt;</a><a id='".$rand."-next' class='carousel-nav carousel-nav-next ".load_option('primary_button')."' onclick='return false' href='#'>&gt;</a>";
		}
	
	$return.="<ul class='carousel template_ul' id='".$rand."'>";



	switch ($columns)
		{
		case 1: $cols=""; break;
		case 2: $cols="one_half"; break;
		case 3: $cols="one_third"; break;
		case 4: $cols="one_fourth"; break; 
		}
	if($type!="")
		{
		$args = array( 'numberposts' => $number, 'post_type'=>'portfolio','post_status' => 'publish', 'project-type'=>$type);
		}
		else
			{
			$args = array( 'numberposts' => $number, 'post_type'=>'portfolio','post_status' => 'publish');
			}

	global $post;
	$ix="";
	$myposts = get_posts( $args );
	foreach( $myposts as $post ) :	setup_postdata($post);  
	$ix++; 	
	$title= str_ireplace('"', '', trim(get_the_title()));
	$desc= str_ireplace('"', '', trim(get_the_content()));			 
	$return.='	<li class="ex-'.$cols.  ' pfs-lists-item-shortcode">';


	$masonry="false";
 


    	ob_start();  
    	get_template_part("portfolio-entry");  
    	$ret = ob_get_contents();  
    	ob_end_clean();  
   	$return.= $ret;  


	$return.="</li>";





	endforeach;
	wp_reset_query();
	$return.="</ul>";
	$return.="<script type='text/javascript'>
		<!--//--><![CDATA[//><!--
		jQuery(document).ready(function()
			{
			jQuery('#carousel-".$rand." .carousel ').carouFredSel({
				items               	: ".$items.",
				direction           	: '".$direction."',
				";
 
	$return.="height:null,";
	$return.="				
				prev		: '#".$rand."-prev',
				next		: '#".$rand."-next',";
	if($auto!="true")
		{
		$return.="
				auto :
					{
					play:	false 
					},
			";
		}
	$return.="		scroll : 
					{	";
	if($easing!="")
		{
		$return.="	easing		: '".$easing."', ";
		}
	$return.="
		            			items           : ".$itemsforward.",
		            			duration        : ".$speed.",                        
	            				pauseOnHover    : true
	        				} 
				 });
			";
	if($height!="")
		{
		$return.="			jQuery('#".$rand."').parent().height('".$height."');";
		}
	$return.="
			});
		//--><!]]>
		</script>";
	$return.="</div></div>";
	$return.="<div class='clear'></div>";
	return $return;		
	}
	add_shortcode('portfolioslider', 'portfolioslider');



/*
**
** PORTFOLIO SHORTCODE
**
*/
function portfolio_shortcode($atts, $content = null)
	{
	$ix=0;
	extract(shortcode_atts(array(
	'number'=>'5',
	'columns'=>'2',
	'type'=>'',
	'slider'=>'false',
	'showheadline'=>'false',
	'showtext'=>'false',
	'showreadmore'=>'false',
	'showimage'=>'true',
	'height'=>'160',
	'excerpt'=>'100',
	'widget'=>'false'
	     ), $atts));
	$return=""; 
	$height=$height/2;
	switch ($columns)
		{
		case 1: $cols="one"; break;
		case 2: $cols="one_half"; break;
		case 3: $cols="one_third"; break;
		case 4: $cols="one_fourth"; break; 
		}
	if($slider=="true")
		{
		$rand=substr(str_shuffle(str_repeat('ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789',5)),0,5);	
		$return.="<div class='sc_slider' id='".$rand."'>";
		}
	if($type!="")
		{
		$args = array( 'numberposts' => $number, 'post_type'=>'portfolio','post_status' => 'publish', 'project-type'=>$type);
		}
		else
			{
			$args = array( 'numberposts' => $number, 'post_type'=>'portfolio','post_status' => 'publish');
			} 
	if($widget!="true")
		{
		$return.="<div class='group-itemlist-".$columns."'>";
		}
			global $post;
			$myposts = get_posts( $args );
			foreach( $myposts as $post ) :	setup_postdata($post);  
			if(($ix=="0") AND ($slider=="true"))
				{
				$return.="<div class='sc_slider_element'  style='width:980px; float:left; height:".$height."px;'>";
				}
			$ix++; 	
			if($slider=="false")
				{
				if($ix>=$columns)
					{
					$last="_last"; 
					$ix=0;
					}
					else
						{
						$last="";	
						$clear="";
						}
				}
				else	
					{
					if($ix>=$columns)
						{
						$last="_last";
						$ix=0;
						$return.="";
						$clear="<div class='clear'></div></div>";
						}
						else
							{							
							$last="";	
							$clear="";
							}
					}
			$title= str_ireplace('"', '', trim(get_the_title()));
			$desc= str_ireplace('"', '', trim(get_the_content()));			 
			$return.='	<div class="'.$cols. $last.' portfolio-lists-item-shortcode">'; 

			ob_start();
				get_template_part("portfolio-entry");
    			$ret = ob_get_contents();  
    			ob_end_clean();  
   			$return.= $ret;  
			
			if($cols=="one")
				{
				$clear="";
				} 
			$return.="</div>";	 
			$return.="".$clear;
		endforeach;
		wp_reset_query();
	if($slider!="true")
		{
		if($cols!="one")
			{
			$return.="<div class='clear'></div>";	
			}
		}
	if($widget!="true")
		{
		$return.="</div>";
		}
	if($slider=="true")
		{
		$return.="</div>";
		$return.='<script type="text/javascript" src="'. get_template_directory_uri(). '/script/jquery.anythingslider.min.js"></script>';
		$return.="<script type='text/javascript'>
			var pw=jQuery('.sc_slider_element').parent().parent().width();			
			jQuery('.sc_slider_element').width(pw);
			jQuery('#".$rand."').anythingSlider({buildNavigation     : false });	 
			</script>";
		} 
	return $return;		
	}
	add_shortcode('portfolio', 'portfolio_shortcode');

/*
**
** PORTFOLIO WIDGET SHORTCODE
**
*/
function portfolio_widget_shortcode($atts, $content = null)
	{
	extract(shortcode_atts(array(
	'number'=>'5', 
	'type'=>'',
	'columns'=>'1'
	     ), $atts));
	$return=""; 
	switch ($columns)
		{
		case 1: $cols="one"; break;
		case 2: $cols="one_half"; break;
		case 3: $cols="one_third"; break;
		case 4: $cols="one_fourth"; break; 
		}
	if($type!="")
		{
		$args = array( 'numberposts' => $number, 'post_type'=>'portfolio','post_status' => 'publish', 'project-type'=>$type);
		}
		else
			{
			$args = array( 'numberposts' => $number, 'post_type'=>'portfolio','post_status' => 'publish');
			}
			global $post;
			$myposts = get_posts( $args );
			foreach( $myposts as $post ) :	setup_postdata($post);  
			$ix++; 
			if($ix>=$columns)
				{
				$last="_last";
				$clear="<div class='clear'></div>";
				$ix=0;
				if($columns=="1")
					{
					$last="";
					$clear="";
					}
				}
				else
					{
					$last="";	
					$clear="";
					}	 
			$title= str_ireplace('"', '', trim(get_the_title()));
			$return.='	<div class="'.$cols. $last.'   portfolio-lists-item-shortcode">
					<h4>'. $title.'</h4>
					<a    class="opacity-hover-bg pretty_portfolio prettyPhoto"  href="'.  img_thumbnail_url($post->ID).'"><img class="opacity-hover" src="'.   img_mini_url($post->ID) .'" alt="" /></a>	
					<div class="clear"></div>
					<a class="portfolio_readmore button" href="'.get_permalink().'">Read more</a>';
					$site= get_post_custom_values('projLink'); 
					if($site[0] != "")
						{
						$return.='<a class="portfolio_livelink button" target="_blank" href="'.$site[0].'">Visit the Site</a>';
						}
			if($columns!=1)
				{				
				$return.='<div class="clear"></div>';
				}
			$return.='</div>'.$clear;
			endforeach;			
			if($columns!=1)
				{				
				$return.='<div class="clear"></div>';
				}
	return $return;		
	}
	add_shortcode('portfolio_widget', 'portfolio_widget_shortcode');






add_action('sevenleague_sc_generator_add_tab','generator_add_portfolio_tab');
function generator_add_portfolio_tab()
	{
	echo "<li><a href='#tabs-44'>Portfolio</a></li>";
	}


add_action('sevenleague_sc_generator_add_tab_content','generator_add_portfolio_content');
function generator_add_portfolio_content()
	{
	$return= '<div id="tabs-44">	
		<div id="portfolio-dialog">	
			<h3>Portfolio</h3>
			<form action="/" method="get" accept-charset="utf-8">
			<div class="accordion ui-accordion ui-widget ui-helper-reset ui-accordion-icons" role="tablist">
				<h3 class="ui-accordion-header ui-helper-reset ui-state-default ui-state-active ui-corner-top" role="tab" aria-expanded="true" aria-selected="true" tabindex="0"><span class="ui-icon ui-icon-triangle-1-s"></span><a href="#">Recent Projects</a></h3>
				<div class="ui-accordion-content ui-helper-reset ui-widget-content ui-corner-bottom ui-accordion-content-active" role="tabpanel">
					<label for="pf_number">Number of Projects</label> 
					<input type="text" name="pf_number" value="" id="pf_number"><br>
					<label for="pf_column">Number of Columns</label> 
					<select name="pf_column" value="" id="pf_column">
						<option value="1">1</option>
						<option value="2">2</option>
						<option value="3">3</option>
						<option value="4">4</option>
					</select><br>	
					<label for="pf_type">Project Type (Logo, Website,..! Leave empty for show all Types)</label> 
					<input type="text" name="pf_type" value="" id="pf_type"><br>


					<a href="javascript:PFDialog.insert(PFDialog.local_ed)" class="updateButton" style="display: block; line-height: 24px;">Insert</a>
				</div>	
										
							
			</div>			
							
			</form>
		</div>
		</div>
		';
	echo $return;
	}



function add_portfoliogrid_script()
	{
	ob_start();
	?>
	<script type="text/javascript"> 
	var PFDialog = {
		local_ed : 'ed',
		init : function(ed) {
			PFDialog.local_ed = ed;
			tinyMCEPopup.resizeToInnerSize();
		},
		insert : function insertMap(ed) {
			var number = jQuery('input#pf_number').val();
			var column=jQuery('select#pf_column').val();	
			var type=jQuery('input#pf_type').val();
			var text=jQuery('input#pf_text').val(); 
			var output='[portfolio number="'+number+'" columns="'+column+'"   type="'+type+'"  ]';
			tinyMCEPopup.execCommand('mceInsertContent', false, output);
			tinyMCEPopup.close();
		}
	};
	tinyMCEPopup.onInit.add(PFDialog.init, PFDialog); 
	</script>
	<?php
	$return = ob_get_contents();  
    	ob_end_clean(); 	
	echo $return;
	}
add_action('sevenleague_shortcode_generator_scripts','add_portfoliogrid_script');








function add_portfolio_script()
	{
	ob_start();
	?>
	<script type="text/javascript"> 
	var PFSDialog = {
		local_ed : 'ed',
		init : function(ed) {
			ClientDialog.local_ed = ed;
			tinyMCEPopup.resizeToInnerSize();
		},
		insert : function insertClient(ed) {
			var pfs_title = jQuery('#pfs_title').val();	
			var pfs_number = jQuery('#pfs_number').val();	 
			var pfs_items = jQuery('#pfs_items').val();	
			var pfs_forward = jQuery('#pfs_forward').val();	
			var pfs_width = jQuery('#pfs_width').val();	
			var pfs_height = jQuery('#pfs_height').val();	
			var pfs_right = jQuery('#pfs_right').val();
			var pfs_dir=jQuery('#pfs_dir').val();
			var pfs_auto=jQuery('#pfs_auto').val();
			var pfs_speed=jQuery('#pfs_speed').val();
			if(jQuery('#pfs_auto').is(':checked'))	 
				{
				var pfs_auto="true";
				} 
 
			var output = '';
			output = '[portfolioslider title="'+pfs_title+'" speed="'+pfs_speed+'" auto="'+pfs_auto+'" items="'+pfs_items+'" number="'+pfs_number+'" itemsforward="'+pfs_forward+'" width="'+pfs_width+'" height="'+pfs_height+'" right="'+pfs_right+'"  direction="'+pfs_dir+'"]';			
			tinyMCEPopup.execCommand('mceInsertContent', false, output);
			tinyMCEPopup.close();
		}
	};
	tinyMCEPopup.onInit.add(PFSDialog.init, PFSDialog); 
	</script>
	<?php
	$return = ob_get_contents();  
    	ob_end_clean(); 	
	echo $return;
	}
add_action('sevenleague_shortcode_generator_scripts','add_portfolio_script');







function add_portfolioslider_tab()
	{
	$return='

				<h3><a href="#">Portfolio Slider</a></h3>		
				<div>
					<label for="pfs_title">Headline</label>
					<input type="text" name="pfs_title" value="" id="pfs_title" /><br />
					<label for="pfs_number">Number of Items</label>
					<input type="text" name="pfs_number" value="" id="pfs_number" /><br />
					<label for="pfs_items">Visible items</label>
					<input type="text" name="pfs_items" value="" id="pfs_items" /><br />	
					<label for="pfs_forward">Number of Items go forward</label>
					<input type="text" name="pfs_forward" value="" id="pfs_forward" /><br />
					<label for="pfs_width">Width of sliding element</label>
					<input type="text" name="pfs_width" value="" id="pfs_width" /><br />
					<label for="pfs_height">Height of sliding element</label>
					<input type="text" name="pfs_height" value="" id="pfs_height" /><br />
					<label for="pfs_right">Sliding element, distanze to the Right</label>
					<input type="text" name="pfs_right" value="" id="pfs_right" /><br /> 
					<label for="pfs_dir">Direction</label>
					<select name="pfs_dir" value="" id="pfs_dir" >
						<option></option>
						<option value="left">Left</option>
						<option value="right">Right</option>
						<option value="up">Up</option>
						<option value="down">Down</option>
					</select>
					<label for="pfs_auto">Autostart the Show?</label>
					<input type="checkbox" name="pfs_auto" value="" id="pfs_auto" /><br /> 
					<label for="pfs_speed">Pause between Change in Millisecondes</label>
					<input type="text" name="pfs_speed" id="pfs_speed"><br />
					<br />
					<a href="javascript:PFSDialog.insert(PFSDialog.local_ed)" class="updateButton" style="display: block; line-height: 24px;">Insert</a>
				</div>
	';
	echo $return;
	}
add_action('shortcode_generator_contentslider_tab', 'add_portfolioslider_tab');




/*
** WIDGET
*/




///////////////////////////////
///////////////////////////////
/////////////////////////////// PORTFOLIO
///////////////////////////////
///////////////////////////////
 

class PortfolioWidget extends WP_Widget
	{
	function PortfolioWidget()
		{
		$widget_ops = array('classname' => 'PortfolioWidget', 'description' => 'Displays Portfolio Items in Slideshow' );
		$this->WP_Widget('PortfolioWidget', 'Widget :: Recent Portfolio Items', $widget_ops);
		} 
	function form($instance)
		{
		$instance = wp_parse_args( (array) $instance, array( 'title' => ''  ,'number'=>'','height'=>'') );
		$title = $instance['title'];
		$number = $instance['number'];
		$height = $instance['height'];
		?>
		<p><label for="<?php echo $this->get_field_id('title'); ?>">Title: <input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo esc_attr($title); ?>" /></label></p>
		<p><label for="<?php echo $this->get_field_id('number'); ?>">Items: <input class="widefat" id="<?php echo $this->get_field_id('number'); ?>" name="<?php echo $this->get_field_name('number'); ?>" type="text" value="<?php echo esc_attr($number); ?>" /></label></p>		
		<p><label for="<?php echo $this->get_field_id('height'); ?>">Height: <input class="widefat" id="<?php echo $this->get_field_id('height'); ?>" name="<?php echo $this->get_field_name('height'); ?>" type="text" value="<?php echo esc_attr($height); ?>" /></label></p>		
		
		<?php
		}
	function update($new_instance, $old_instance)
		{
		$instance = $old_instance;
		$instance['title'] = $new_instance['title'];
		$instance['height'] = $new_instance['height'];
		$instance['number'] = $new_instance['number'];
		return $instance;
		}
 
  	function widget($args, $instance)
		{
		extract($args, EXTR_SKIP);
		echo $before_widget;
		$title = $instance['title'];
		$number =$instance['number'];
		$height =$instance['height'];
		if ( $title) 
			{ 
			echo $before_title . $title . $after_title;	
			}


		echo do_shortcode("[slideshow widget='true' type='cycle'  height='$height'  effect='fade' nav='true' pause='false' speed='1000'][portfolio number='$number' widget='true' excerpt='0' columns='1' showheadline='false' showreadmore='false' showimage='true' ][/slideshow]");


		echo $after_widget;
		}

	}
	add_action( 'widgets_init', create_function('', 'return register_widget("PortfolioWidget");') );

  

function sort_portfolio($atts, $content = null)
	{
	extract(shortcode_atts(array(
	'items'=>'8', 
	'type'=>'',
	'cols'=>'4'
	     ), $atts));
	global $post; 
	$return=""; 
	$clear="";
	$terms = get_terms('project-type' );
	$count = count($terms); $i=0; 
	$term_list_gen="";
	$term_list_gen.="<ol id='filters' class='template_ol'>";
	$term_list_gen.="<li data-filter='portfolio-lists-item'><a href='#' >".__('All','sevenleague')."</a></li>";
	if ($count > 0) {
	     foreach ($terms as $term) {
	        $i++;
	    	$term_list_gen.="<li data-filter='portfolio-".$term->name."'>";	 
		$term_list_gen.="<a href='#'  data-filter='portfolio-".$term->name."'>".$term->name."</a>";
		$term_list_gen.="</li>";
	    }    
	} 	
	$term_list_gen.="</ol>";
	$return.= $term_list_gen; 	
	$return.="<div id='masonry'>	
		<ul class='portfolio-itemlist-col".$cols." group-itemlist-".$cols." template_ul' id='tiles'>
		";
	$ix=0; 
	query_posts(array( 'post_type' => 'portfolio', 'paged' => get_query_var('paged'), 'posts_per_page'=>$items ));  
	if (have_posts()) : while (have_posts()) : the_post();
	$ix++;  
	$title= str_ireplace('"', '', trim(get_the_title()));
	$desc= str_ireplace('"', '', trim(get_the_content()));
	$terms = wp_get_object_terms($post->ID, 'project-type');
	$term_list="";
	$count = count($terms); $i=0;
	if ($count > 0) 
		{
		foreach ($terms as $term) 
			{
        			$i++;
    			$term_list .= "portfolio-$term->name ";    	 
			}    
		}
	ob_start();
	?>
	<li class="portfolio-lists-item <?php echo $term_list ?> <?php echo $clear; ?>"> 
		<?php get_template_part("portfolio-entry"); ?>
	</li> 
	<?php
	$return.= ob_get_contents();  
    	ob_end_clean();  
	$clear="";
	if($ix>=$cols)
		{
		$ix=0;
		$clear=" clear";
		}
	endwhile; 
	endif; 
	wp_reset_query();
	$return.='	</ul> 
		</div> ';
	$return.= "<div class='clear'></div>";
	return $return;
	}
add_shortcode('sortfolio','sort_portfolio');
















?>