<?php

function team_register() 
	{  
    	$args = array(  
        	'label' => 'Team',  
        	'singular_label' => 'Team',  
        	'public' => true,  
        	'show_ui' => true,  
        	'capability_type' => 'post',  
        	'hierarchical' => false,  
        	'rewrite' => true,  
        	'supports' => array('title', 'editor', 'thumbnail','post-types') ,
		'show_in_menu' => true  ,
		 'menu_position' => null,
       	);  
    	register_post_type( 'team' , $args );  
	}  
	add_action('init', 'team_register');  


/* FOR TEAM POSITIONS, FOR EXAMPLE: CEO, COO, SERVICE, ... */

register_taxonomy("team-position", array("team"), array("hierarchical" => true, "label" => "Team Position", "singular_label" => "Team Position", "rewrite" => true));



add_action("admin_init", "team_meta_box"); 

function team_meta_box()
	{  
	add_meta_box("teamInfo-meta", "Team Options", "team_meta_options", "team", "side", "low");  
	}   

function team_meta_options()
	{  
	        global $post;  
	        if ( defined('DOING_AUTOSAVE') && DOING_AUTOSAVE ) return $post_id;
	        $custom = get_post_custom($post->ID);  
		if(isset($custom["teamFacebook"][0]))
			{
		        	$teamFacebook = $custom["teamFacebook"][0];    		
			}
		if(isset($custom["teamTwitter"][0]))
			{
	        		$teamTwitter = $custom["teamTwitter"][0];
			}
		if(isset($custom["teamFlickr"][0]))
			{   
	        		$teamFlickr = $custom["teamFlickr"][0];   
			}
		if(isset($custom["teamYoutube"][0]))
			{
	        		$teamYoutube = $custom["teamYoutube"][0];
			}
		if(isset($custom["teamDribbble"][0]))
			{   
	        		$teamDribbble = $custom["teamDribbble"][0];   
			}
		if(isset($custom["teamPhone"][0]))
			{   
	        		$teamPhone = $custom["teamPhone"][0];   
			}
		if(isset($custom["teamFax"][0]))
			{   
	        		$teamFax = $custom["teamFax"][0];   
			}
		if(isset($custom["teamEmail"][0]))
			{   
	        		$teamEmail = $custom["teamEmail"][0];   
			}
	?>  
	<label for="teamPhone">Phone number:</label><input id="teamPhone" name="teamPhone" value="<?php if(isset($teamPhone)) { echo $teamPhone; } ?>" /><br /> 
	<label for="teamFax">Fax number:</label><input id="teamFax" name="teamFax" value="<?php if(isset($teamFax)) { echo $teamFax; } ?>" /><br /> 
	<label for="teamEmail">Email:</label><input id="teamEmail" name="teamEmail" value="<?php if(isset($teamEmail)) { echo $teamEmail; } ?>" /><br /> 

	<label for="teamFacebook">Facebook Profile:</label><input id="teamFacebook" name="teamFacebook" value="<?php if(isset($teamFacebook)) { echo $teamFacebook; } ?>" /><br /> 
	<label for="teamTwitter">Twitter Profile:</label><input id="teamTwitter" name="teamTwitter" value="<?php if(isset($teamTwitter)) { echo $teamTwitter; } ?>" /><br /> 
	<label for="teamFlickr">Flickr Profile:</label><input id="teamFlickr" name="teamFlickr" value="<?php if(isset($teamFlickr)) { echo $teamFlickr; } ?>" /><br /> 
	<label for="teamYoutube">Youtube Profile:</label><input id="teamYoutube" name="teamYoutube" value="<?php if(isset($teamYoutube)) { echo $teamYoutube; } ?>" /><br /> 
	<label for="teamDribbble">Dribbble Profile:</label><input id="teamDribbble" name="teamDribbble" value="<?php if(isset($teamDribbble)) { echo $teamDribbble; } ?>" /><br /> 
	<?php  
	}  
	add_action('save_post', 'save_team_meta');  
function save_team_meta()
	{  
	    global $post;  
	    if ( defined('DOING_AUTOSAVE') && DOING_AUTOSAVE )
		{ 
		return $post_id;
		}	
		else
			{
			if(isset($_POST["teamFacebook"]))
				{
		    		update_post_meta($post->ID, "teamFacebook", $_POST["teamFacebook"]); 
				}
			if(isset($_POST["teamTwitter"]))
				{		    		
				update_post_meta($post->ID, "teamTwitter", $_POST["teamTwitter"]);  
				}
			if(isset($_POST["teamFlickr"]))
				{
		    		update_post_meta($post->ID, "teamFlickr", $_POST["teamFlickr"]);  
				}
			if(isset($_POST["teamYoutube"]))
				{
		    		update_post_meta($post->ID, "teamYoutube", $_POST["teamYoutube"]);  
				}
			if(isset($_POST["teamDribbble"]))
				{
		    		update_post_meta($post->ID, "teamDribbble", $_POST["teamDribbble"]);  
				}

			if(isset($_POST["teamFax"]))
				{
		    		update_post_meta($post->ID, "teamFax", $_POST["teamFax"]);  
				}
			if(isset($_POST["teamPhone"]))
				{
		    		update_post_meta($post->ID, "teamPhone", $_POST["teamPhone"]);  
				}
			if(isset($_POST["teamEmail"]))
				{
		    		update_post_meta($post->ID, "teamEmail", $_POST["teamEmail"]);  
				}
			} 
		}  




/*
** SHORTCODES
**/




///////////////////////
/////////// TEAM SLIDER
//////////////////////

function teamslider($atts, $content=null)
	{	
	$type="";
	$showtext="";
	$headline="";
	$showreadmore="";
	extract(shortcode_atts(array(
	'buttons'=>true,
	'speed'=>'1000',
	'width'=>'',
	'height'=>'',
	'easing'=>'',
	'items'=>'10',
	'itemsforward'=>'4',
	'pauseonhover'=>'true', 
	'direction'=>'left',
	'columns'=>'3',
	'showtext'=>'false',
	'headline'=>'false',
	'right'=>'20',
	'number'=>'10',
	'direction'=>'left',
	'auto'=>'false',
	'title'=>''
	    ), $atts));
	$return="";

	if($speed=="")	
		{
		$speed="1000";
		}

	$rand=substr(str_shuffle(str_repeat('ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz',5)),0,5);
	$return="<div id='carousel-".$rand."' class='carousel-container'>";
	$half_height=$height/2;	
	$return.="<style type='text/css' scoped><!--#".$rand." .team-lists-item-shortcode {display:inline-block; width:".$width."px; margin-right:".$right."px;}";
	$return.=" #carousel-".$rand."  .carousel-nav {top:0px;}";
	if($height!="")
		{
		$return.=" #".$rand." {height:".$height."px;} #".$rand." li, #".$rand." > div {  height:".$height."px;}";
		}
	if($width!="")
		{
		$return.=" #".$rand." ul li, #".$rand." > div {width:".$width."px; }";
		}
	$return.="--></style>";	
	if(isset($title))
		{
		$return.="<h2>".$title."</h2>";
		}
	if($buttons=="true")
		{	
		$return.="<a id='".$rand."-prev' class='carousel-nav carousel-nav-prev ".load_option('primary_button')."' onclick='return false' href='#'>&lt;</a>
			<a id='".$rand."-next' class='carousel-nav carousel-nav-next ".load_option('primary_button')."' onclick='return false' href='#'>&gt;</a>";
		}
	$return.="<ul class='carousel template_ul' id='".$rand."'>";



	switch ($columns)
		{
		case 1: $cols=""; break;
		case 2: $cols="one_half"; break;
		case 3: $cols="one_third"; break;
		case 4: $cols="one_fourth"; break; 
		}
	if($type!="")
		{
		$args = array( 'numberposts' => $number, 'post_type'=>'team','post_status' => 'publish', 'project-type'=>$type);
		}
		else
			{
			$args = array( 'numberposts' => $number, 'post_type'=>'team','post_status' => 'publish');
			}
	$ix="";
	global $post;
	$myposts = get_posts( $args );
	foreach( $myposts as $post ) :	setup_postdata($post);  
	$ix++; 	
	$title= str_ireplace('"', '', trim(get_the_title()));
	$desc= str_ireplace('"', '', trim(get_the_content()));			 
	$return.='	<li class="ex-'.$cols.  ' team-lists-item-shortcode">';

    	ob_start();  
    	get_template_part("team-entry");  
    	$ret = ob_get_contents();  
    	ob_end_clean();  
   	$return.= $ret;  

	$return.="</li>";
	endforeach;
	wp_reset_query();
	$return.="</ul>";
	$return.="<script type='text/javascript'>
		<!--//--><![CDATA[//><!--
		jQuery(document).ready(function()
			{
			jQuery('#carousel-".$rand." .carousel ').carouFredSel({
				items               	: ".$items.",
				direction           	: '".$direction."',
				";
			if($height!="")
				{
				$return.="height		: '".$height."', "; 
				}
	$return.="				
				prev		: '#".$rand."-prev',
				next		: '#".$rand."-next',";
	if($auto!="true")
		{
		$return.="
				auto :
					{
					play:	false 
					},
			";
		}
	$return.="		scroll : 
					{	";
	if($easing!="")
		{
		$return.="	easing		: '".$easing."', ";
		}
	$return.="
		            			items           : ".$itemsforward.",
		            			duration        : ".$speed.",                  
	            				pauseOnHover    : true
	        				} 
				 });
			";
	if($height!="")
		{
		$return.="			jQuery('#".$rand."').parent().height('".$height."');";
		}
	$return.="
			});
		//--><!]]>
		</script>";
	$return.="</div>";
	$return.="<div class='clear'></div>";
	return $return;		
	}
	add_shortcode('teamslider', 'teamslider');






function add_team_tab()
	{
	$return='
				<h3><a href="#">Team Slider</a></h3>		
				<div>
					<label for="team_title">Title</label>
					<input type="text" name="team_title" id="team_title" /><br />
					<label for="team_number">Number of Items</label>
					<input type="text" name="team_number" value="" id="team_number" /><br />
					<label for="team_items">Visible items</label>
					<input type="text" name="team_items" value="" id="team_items" /><br />	
					<label for="team_forward">Number of Items go forward</label>
					<input type="text" name="team_forward" value="" id="team_forward" /><br />
					<label for="team_width">Width of sliding element</label>
					<input type="text" name="team_width" value="" id="team_width" /><br />
					<label for="team_height">Height of sliding element</label>
					<input type="text" name="team_height" value="" id="team_height" /><br />
					<label for="team_right">Sliding element, distanze to the Right</label>
					<input type="text" name="team_right" value="" id="team_right" /><br /> 
					<label for="team_dir">Direction</label>
					<select name="team_dir" value="" id="team_dir" >
						<option></option>
						<option value="left">Left</option>
						<option value="right">Right</option>
						<option value="up">Up</option>
						<option value="down">Down</option>
					</select>
					<label for="team_auto">Autostart the Show?</label>
					<input type="checkbox" name="team_auto" value="" id="team_auto" /><br /> 
					<label for="team_speed">Pause between Change in Millisecondes</label>
					<input type="text" name="team_speed" id="team_speed"><br />
					<br />
					<a href="javascript:TeamDialog.insert(TeamDialog.local_ed)" class="updateButton" style="display: block; line-height: 24px;">Insert</a>
				</div>	';
	echo $return;
	}
add_action('shortcode_generator_contentslider_tab', 'add_team_tab');


function add_team_script()
	{
	ob_start();
	?>
	<script type="text/javascript"> 
	var TeamDialog = {
		local_ed : 'ed',
		init : function(ed) {
		TeamDialog.local_ed = ed;
			tinyMCEPopup.resizeToInnerSize();
		},
		insert : function insertteam(ed) {
			var team_number = jQuery('#team_number').val();	 
			var team_items = jQuery('#team_items').val();	
			var team_forward = jQuery('#team_forward').val();	
			var team_width = jQuery('#team_width').val();	
			var team_height = jQuery('#team_height').val();	
			var team_right = jQuery('#team_right').val();	
			var team_dir = jQuery('#team_dir').val(); 
			var team_auto=jQuery('#team_auto').val();
			var team_speed=jQuery('#team_speed').val();
			var team_title=jQuery("#team_title").val();
			if(jQuery('#team_auto').is(':checked'))	 
				{
				var team_auto="true";
				} 
			if(jQuery('#team_headline').is(':checked'))	 
				{
				var team_headline="true";
				}
			if(jQuery('#team_text').is(':checked'))	 
				{
				var team_text="true";
				}
			var output = '';
			output = '[teamslider title="'+team_title+'" speed="'+team_speed+'" auto="'+team_auto+'" direction="'+team_dir+'" items="'+team_items+'" number="'+team_number+'" itemsforward="'+team_forward+'" width="'+team_width+'" height="'+team_height+'" right="'+team_right+'"  ]';			
			tinyMCEPopup.execCommand('mceInsertContent', false, output);
			tinyMCEPopup.close();
		}
	};
	tinyMCEPopup.onInit.add(TeamDialog.init, TeamDialog); 
	</script>
	<?php
	$return = ob_get_contents();  
    	ob_end_clean(); 	
	echo $return;
	}
add_action('sevenleague_shortcode_generator_scripts','add_team_script');







?>