<?php 
require_once ( get_template_directory() . '/7league/init.php' );
  


function prepare_headlines($content)
	{
	$content=str_replace("<h1>","<h1><span>",$content);
	$content=str_replace("</h1>","</span></h1>",$content);
	
	$content=str_replace("<h2>","<h2><span>",$content);
	$content=str_replace("</h2>","</span></h2>",$content);

	$content=str_replace("<h3>","<h3><span>",$content);
	$content=str_replace("</h3>","</span></h3>",$content);

	return $content;
	}

// add_filter('the_content','prepare_headlines');



load_theme_textdomain('sevenleague',get_template_directory() . '/languages');



 // Setup Theme Functions
 
function my_theme_setup() {	
	add_theme_support( 'automatic-feed-links' );
	add_theme_support( 'post-thumbnails' ); 
	if ( ! isset( $content_width ) ) $content_width = 980;		 
 
	// ADD FILTERS 
	add_filter( 'excerpt_length', 'the_excerpt_length' );
	add_filter( 'get_the_excerpt', 'custom_excerpt_more' ); 
	add_filter( 'excerpt_more', 'auto_excerpt_more' );

	// REGISTER THE MENU 
	register_nav_menus(
		array(
		  'main_menu_1' => 'The Main Menu' 
		)
	);
    } 
add_action('after_setup_theme', 'my_theme_setup');





 function the_excerpt_length( $length ) 
	{
	return 30;
	}


function continue_reading_link() 
	{
	return ' <a href="'. esc_url( get_permalink() ) . '"><span class="meta-nav">...</span></a>';
	}


function auto_excerpt_more( $more ) 
	{
	return continue_reading_link();
	}


function custom_excerpt_more( $output ) 
	{
	if ( has_excerpt() && ! is_attachment() ) 
		{
		$output .=  continue_reading_link();
		}
		return $output;
	}










/*
** THE COMMENTSTEMPLATE
*/
function mytheme_comment($comment, $args, $depth) 
	{
	$GLOBALS['comment'] = $comment; ?>
	<li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
		<article id="comment-<?php comment_ID(); ?>" class="comment-body">
			<footer class="comment-author vcard">
				<?php echo get_avatar( $comment->comment_author_email, 60 ); ?>
				<p class='commentauthor'><?php  comment_author_link(); ?></p>
				<p class='comment-time'><?php comment_date(); ?>, <?php comment_time(); ?></p>							
			</footer>
			<div class="comments-body">				
				<?php comment_text() ?>
				<div class="reply">
					<?php comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth']))) ?> | <?php edit_comment_link('Edit','  ','') ?>
 				</div>
				<?php if ($comment->comment_approved == '0') : ?>
					<em><?php _e('Your comment is awaiting moderation.','sevenleague'); ?></em>			
				<?php endif; ?>
			</div>
			<div class="clear"></div>
		</article>
	</li>
	<?php
   	}













class Menu_With_Description extends Walker_Nav_Menu 
	{
    	function display_element( $element, &$children_elements, $max_depth, $depth=0, $args, &$output )
    		{
        		$id_field = $this->db_fields['id'];
        			if ( is_object( $args[0] ) ) 
				{
            				$args[0]->has_children = ! empty( $children_elements[$element->$id_field] );
				}
        		return parent::display_element( $element, $children_elements, $max_depth, $depth, $args, $output );
    		}
	function start_el(&$output, $item, $depth, $args ) 
		{
		global $wp_query;
		$item_output="";
		$indent = ( $depth ) ? str_repeat( "\t", $depth ) : '';
		$class_names = $value = '';
		$classes = empty( $item->classes ) ? array() : (array) $item->classes;
 		if( $args->has_children ) 
			{ 
			$classes[]="has-submenu"; 
			}
		$class_names = join( ' ', apply_filters( 'nav_menu_css_class', array_filter( $classes ), $item ) );
		$class_names = ' class="' . esc_attr( $class_names ) . '"';
		$output .= $indent . '<li id="menu-item-'. $item->ID . '"' . $value . $class_names .'>'; 
		$attributes = ! empty( $item->attr_title ) ? ' title="' . esc_attr( $item->attr_title ) .'"' : '';
		$attributes .= ! empty( $item->target ) ? ' target="' . esc_attr( $item->target ) .'"' : '';
		$attributes .= ! empty( $item->xfn ) ? ' rel="' . esc_attr( $item->xfn ) .'"' : '';
		$attributes .= ! empty( $item->url ) ? ' href="' . esc_attr( $item->url ) .'"' : '';

 
		if (trim($item->description)!="")
			{
			$attributes .= ! empty( $item->description) ? ' data-v="'.esc_Attr($item->description).'"' : '';
			}
		$item_output .= $args->before;
		$item_output .= '<a'. $attributes .'>';
		$item_output .= $args->link_before . apply_filters( 'the_title', $item->title, $item->ID ) . $args->link_after ;
		//$item_output .= '<b>' . $item->description . '</b>';
		//$item_output .= '<em></em>';
		if (trim($item->description)!="")
			{
			$item_output.='<span>'.$item->description.'</span>';
			}
		$item_output .= '</a>';
		$item_output .= $args->after;
		$output .= apply_filters( 'walker_nav_menu_start_el', $item_output, $item, $depth, $args );
	}
}  

function wr_wp_get_attachment( $attachment_id ) {

	$attachment = get_post( $attachment_id );
	return array(
		'alt' => get_post_meta( $attachment->ID, '_wp_attachment_image_alt', true ),
		'caption' => $attachment->post_excerpt,
		'description' => $attachment->post_content,
		'href' => get_permalink( $attachment->ID ),
		'src' => $attachment->guid,
		'title' => $attachment->post_title
	);
}

 
 

// FIX FOR WORDPRESS 4.4 UPDATE -> PROBLEM WITH LOGIN REDIRECT

add_filter( 'login_url', 'wp44_login_page_fix', 10, 2 );
function wp44_login_page_fix( $login_url, $redirect ) {
    return home_url( 'wp-login.php' );
}

